<div class="image-gallery">
    <!-- Random Image start -->
    <div class="random-image">
        <div class="header" [hidden]="!randomImage">
            <div class="content-div">
                <div class="content">
                    Lorem Picsum
                </div>
                <div class="sub-content">
                    The Lorem Ipsum for photos
                </div>
            </div>
        </div>

        <div>
            <div style="text-align: center; width: 100%;">
                <app-spinner [hidden]="randomImage"></app-spinner>
            </div>
            <img [src]="randomImage" alt="Random Image" [hidden]="!randomImage"/>
        </div>
    </div>
    <!-- Random Image End -->

    <div class="gallery-container">

        <div [hidden]="!availableImages.length">
            <div style="padding: 12px;">
                <div class="gallery-title">
                    Image Gallery
                </div>
                <div class="prev-next-buttons">
                    <span>
                        <label>Limit:</label>
                        <select [(ngModel)]="pageLimit" (ngModelChange)="changeLimit()">
                            <option *ngFor="let count of pageLimits" [value]="count">{{count}}</option>
                        </select>
                    </span>
                    <button class="prev-button" [ngClass]="previousLink ? '' : 'btn--disabled'"
                            (click)="previousLink ? loadAvailableImages(previousLink, -1) : ''">
                        <span class="link">Previous</span>
                        <span class="m-link">&lsaquo;</span>
                    </button>
                    <button class="next-button"
                            (click)="loadAvailableImages(nextLink, 1)">
                        <span class="link">Next</span>
                        <span class="m-link">&rsaquo;</span>
                    </button>
                </div>
            </div>
            <br/>
            <div class="image-container">
                <app-card-component
                            [listOfImages]=availableImages
                            (imageSelect)="openImage($event)">
                </app-card-component>
            </div>
        </div>

        <div style="text-align: center;" [hidden]="availableImages.length">
            <app-spinner></app-spinner>
        </div>
    </div>

    <!-- Pop up to show selected image start -->
    <app-image-container
        [imageUrl]=selectedImageUrl
        (isClosed)="closeDialog()"
        *ngIf="selectedImageUrl">
    </app-image-container>
    <!-- Pop up to show selected image end -->
</div>
